Avro C++

Public Member Functions | List of all members
avro::Exception Class Reference

Wrapper for std::runtime_error that provides convenience constructor for boost::format objects. More...

`#include <Exception.hh>`

Inheritance diagram for avro::Exception:

## Public Member Functions
| Exception (const std::string &msg)
| Exception (const boost::format &msg)

## Detailed Description

Wrapper for std::runtime_error that provides convenience constructor for boost::format objects.

The documentation for this class was generated from the following file:

- api/Exception.hh